Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.base
Interface NotificationServiceMgr

All Superinterfaces:
  AMX, AMXMBeanLogging, Container, NotificationBroadcaster, NotificationEmitter, Utility

public interface NotificationServiceMgr
extends AMX, Utility, Container

Manages the creation and removal of NotificationService MBeans.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Method Summary
`NotificationService` | `createNotificationService(java.lang.Object userData, int bufferSize)` Create a new NotificationService (j2eeType=`XTypes.NOTIFICATION_SERVICE`).
`NotificationService` | `getNotificationService(java.lang.String name)`
`java.util.Map` | `getNotificationServiceMap()`
`void` | `removeNotificationService(java.lang.String name)`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getNotificationServiceMap

    public java.util.Map getNotificationServiceMap()

  Returns:
    Map of all NotificationService, keyed by name, with value of NotificationService

### getNotificationService

    public NotificationService getNotificationService(java.lang.String name)

### createNotificationService

    public NotificationService createNotificationService(java.lang.Object userData,
                                                         int bufferSize)

  Create a new NotificationService (j2eeType=`XTypes.NOTIFICATION_SERVICE`). `AMX.getName()` can later be used to retrieve the NotificationService via `getNotificationService(java.lang.String)`.

  Parameters:
    `userData` -
    `bufferSize` -
  Returns:
    NotificationService

### removeNotificationService

    public void removeNotificationService(java.lang.String name)
                                   throws InstanceNotFoundException

  Throws:
    `InstanceNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.